# post

## Overview

This endpoint is used for updating information about a dataset's tables.

## HTTP Request

```http
PATCH /api/v1/workflows/:workflowReference/dataSources
```

## Path parameters

| Parameter         |                                                                                                                                              |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| workflowReference | A qualified reference to the workflow. See [referencing resources](https://docs.redivis.com/api/referencing-resources) for more information. |

{% hint style="info" %}
This endpoint extends the [general API structure](https://docs.redivis.com/api/rest-api/general-structure)
{% endhint %}

## Request body

Provide a JSON object with information about the dataSource.

<table><thead><tr><th width="206.20703125">Property name</th><th width="153.40755208333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>sourceDataset</strong></td><td><strong>string</strong></td><td><p>A qualified reference to the source dataset for this dataSource. </p><p></p><p>Include version / sample information in the reference to update a dataSource's version or sample status.</p><p></p><p>Either a sourceDataset or sourceWorkflow must be provided, but not both.</p></td></tr><tr><td><strong>sourceWorkflow</strong></td><td><strong>string</strong></td><td><p>A qualified reference to the source workflow for this dataSource. </p><p></p><p>Either a sourceDataset or sourceWorkflow must be provided, but not both.</p></td></tr></tbody></table>

## Authorization

Edit access to the corresponding workflow is required. Your access token must have the following scope:

* workflow\.write

[Learn more about authorization.](https://docs.redivis.com/api/rest-api/authorization)

## Response body

Returns the JSON-encoded "get" representation of a [dataSource resource](https://docs.redivis.com/api/resource-definitions/datasource).
